/**
 * ./src/classes/ovary.d/initrd.ts
 * penguins-eggs v.25.7.x / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import Ovary from '../ovary.js';
/**
 * initrdAlpine
 */
export declare function initrdAlpine(this: Ovary): Promise<void>;
/**
 * initrdArch
 */
export declare function initrdArch(this: Ovary): Promise<void>;
/**
 * initrdDebian
 */
export declare function initrdDebian(this: Ovary, verbose?: boolean): Promise<void>;
export declare function initrdDracut(this: Ovary): Promise<void>;
